
Foreman - Feature #17521

need support for 'use_shortname_for_vms' for all hosts not just vms

11/29/2016 01:22 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Host creation   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4068

  

Description

Few customers have requested support for wanting short host names and do not want domain names appended. They want to select

domain names and want the resolv.conf info on their hosts filled correctly.

Issue http://projects.theforeman.org/issues/2975 handled some of this but was tagged as vm only. We need it to be generally

applicable.

Related issues:

Blocks Foreman - Bug #21929: need short host name matchers New

Associated revisions

Revision e87d9bee - 01/18/2018 03:39 PM - Partha Aji

Fixes #17521 - Use short name for hosts

This commit enforces the policy of using short name for hosts

while preserving the fqdn for interface values provided the user has

enabled 'append_domain_name_for_hosts' Setting.

History

#1 - 11/29/2016 01:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4068 added

#2 - 11/30/2016 03:06 AM - Dominic Cleal

The description doesn't make much sense to me - the setting changes the name of the virtual machine, not the name of the host in Foreman. Hosts

on CRs still have an FQDN.

This seems like a duplicate more of #11989, creating hosts without a domain.

The "shortname for VMs" setting should not be used to change the behaviour of the "name" field within Foreman, that is not its purpose - it's meant to

only affect VM names.

#3 - 01/10/2017 05:11 PM - Partha Aji

Dominic Cleal wrote:

The description doesn't make much sense to me - the setting changes the name of the virtual machine, not the name of the host in Foreman.

Hosts on CRs still have an FQDN.

This seems like a duplicate more of #11989, creating hosts without a domain.

The "shortname for VMs" setting should not be used to change the behaviour of the "name" field within Foreman, that is not its purpose - it's

meant to only affect VM names.

 Added a new setting "append_domain_name_for_hosts" that will now always be set. The user can unset this and in that case the domain name will
not get attached.

#4 - 01/31/2017 11:26 AM - Thomas McKay

- Target version set to 161

#5 - 12/11/2017 01:32 PM - Partha Aji

- Blocks Bug #21929: need short host name matchers added

#6 - 01/18/2018 04:01 PM - Partha Aji

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e87d9bee2f47ad7dfac23c5b6874dadf1708d6b0.

#7 - 01/19/2018 02:26 PM - Marek Hulán

- translation missing: en.field_release set to 330
